# WindowsResourceSet

API Documentation: | `WindowsResourceSet`

Note: This class is incubating and may change in a future version of Gradle.

A set of Windows Resource definition files.

A Windows Resource set contains a set of script files, together with an optional set of header files.

    apply plugin: "windows-resources"

    sources {
        main {
            // Configure an existing WindowsResourceSet
            rc {
                source {
                    srcDirs "src/main/rc"
                    include "**/*.rc"
                }
                exportedHeaders {
                    srcDirs "src/main/include"
                }
            }
        }
    }

### Properties

Property | Description
`exportedHeaders` | Incubating The headers as a directory set.
`source` | Incubating The source files.

### Property details

#### `SourceDirectorySet` `exportedHeaders` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The headers as a directory set.

#### `SourceDirectorySet` `source` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The source files.

### Script blocks

No script blocks

### Methods

Method | Description
`exportedHeaders(config)` | Incubating Configure the exported header directories.
`source(config)` | Incubating Configure the sources

### Method details

#### `void` `exportedHeaders`(``Action`<? super `SourceDirectorySet`>` config)

Note: This method is incubating and may change in a future version of Gradle.

Configure the exported header directories.

#### `void` `source`(``Action`<? super `SourceDirectorySet`>` config)

Note: This method is incubating and may change in a future version of Gradle.

Configure the sources